<template>
	<view class="box">
	  <view class="main">
	    <view class="mkBox">
			<view class="line">
				<view class="lineTitle">昵称</view>
				<view class="lineCont">{{nickName}}</view>
			</view>
			<view class="line">
				<view class="lineTitle">手机号</view>
				<view class="lineCont">{{phoneNum}}</view>
			</view>
			<view class="line boderNo">
				<view class="lineTitle">真实姓名</view>
				<view class="lineCont">
					<input type="text" v-model="name" value="" placeholder="请输入" class="lineinput" @blur="updateBmember"/>
				</view>
			</view>
		</view>
		
		<view class="mkBox">
			<view class="line boderNo" @click="goiphone">
				<view class="lineTitle">联系人管理</view>
				<view class="lineCont">
					<image src="../../static/img/jt.png" mode="" class="lineJt"></image>
				</view>
			</view>
		</view>
		
		<view class="mkBox">
			<view class="line " @click="goTreaty">
				<view class="lineTitle">服务协议</view>
				<view class="lineCont">
					<image src="../../static/img/jt.png" mode="" class="lineJt"></image>
				</view>
			</view>
			<view class="line boderNo" @click="goIntimity">
				<view class="lineTitle">隐私政策</view>
				<view class="lineCont">
					<image src="../../static/img/jt.png" mode="" class="lineJt"></image>
				</view>
			</view>
		</view>
		
		<view class="signOut" @click="signOut">退出登录</view>
		
	  </view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			
			nickName:'',
			phoneNum:'',
			name:'',
		}
	},
	onLoad(opt) {
      
	  this.nickName = opt.nickName
	   this.phoneNum = opt.phone
	  this.name = opt.name
	 
	},
	onShow() {
		
	},
	methods: {
		updateBmember(){
			if(this.name!=''){
				this.$http('worldKeepCar/keepCarMy/updateTmember', {
					name:this.name		 
				},'POST').then(res => {
				    
				})
			}
			
		},
		
		signOut(){
			 //uni.clearStorageSync();
			 uni.removeStorageSync('logodata');
			 uni.navigateTo({
			 	url:'../login/login'
			 })
		},
		goiphone(){
			uni.navigateTo({
				url:'../iPhone/phoneList'
			})
		},
		goTreaty(){
			uni.navigateTo({
				url:'treaty'
			})
		},
		goIntimity(){
			uni.navigateTo({
				url:'intimity'
			})
		}
	
	}
}
</script>

<style scoped>
	.box{
		min-height: 100vh;
		background:#F4F5F7 ;
	}
	.main{
		padding: 24rpx;
	}
	.mkBox{
		background: #FEFFFE;
		border-radius: 10rpx;
		padding: 0 22rpx;
		margin-bottom: 20rpx;
	}
	.line{
		display: flex;
		justify-content: space-between;
		padding: 30rpx 0;
		border-bottom: 1px solid #eeeeee;
		font-size: 28rpx;
		color: #3C3C3C;
	}
	.lineinput{
		text-align: right;
		font-size: 28rpx;
		color: #3C3C3C;
	}
	.lineJt{
		width: 15rpx;
		height: 26rpx;
	}
	.boderNo{
		border: none;
	}
	.signOut{
		width: 702rpx;
		height: 98rpx;
		background: #FFFFFF;
		border-radius: 10rpx;
		font-size: 30rpx;
		color: #FF3B30;
		line-height: 98rpx;
		text-align: center;
		margin-top: 100rpx;
	}
</style>
